Package org.mozilla.javascript

## Class AccessorSlot

- java.lang.Object
- - org.mozilla.javascript.Slot
  - - org.mozilla.javascript.AccessorSlot

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AccessorSlot
      extends Slot

  This is a specialization of Slot to store various types of values that are retrieved dynamically using Java and JavaScript functions. Unlike LambdaSlot, the fact that these values are accessed and mutated by functions is visible via the slot's property descriptor.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getValue​(Scriptable start)` |
    `boolean` | `setValue​(java.lang.Object value, Scriptable owner, Scriptable start, boolean isThrow)` |

    - ### Methods inherited from class org.mozilla.javascript.Slot

      `setValue, throwNoSetterException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setValue

          public boolean setValue​(java.lang.Object value,
                                  Scriptable owner,
                                  Scriptable start,
                                  boolean isThrow)

      Overrides:
        `setValue` in class `Slot`

    - #### getValue

          public java.lang.Object getValue​(Scriptable start)

      Overrides:
        `getValue` in class `Slot`